Erro ao atualizar o Arch com interface gráfica XFCE, ontem e hoje (RESOLVIDO)

1. Erro ao atualizar o Arch com interface gráfica XFCE, ontem e hoje (RESOLVIDO)

Vicente de F. Barros
vbarros

(usa Linux Mint)

Enviado em 14/02/2018 - 16:53h

Amigos, tentei atualizar o sistema ontem e hoje e recebi o seguinte retorno. Como resolver? Obrigado.
Iniciando atualização completa do sistema...
:: Substituir compositeproto por extra/xorgproto? [S/n]
:: Substituir damageproto por extra/xorgproto? [S/n]
:: Substituir dmxproto por extra/xorgproto? [S/n]
:: Substituir dri2proto por extra/xorgproto? [S/n]
:: Substituir dri3proto por extra/xorgproto? [S/n]
:: Substituir fixesproto por extra/xorgproto? [S/n]
:: Substituir fontsproto por extra/xorgproto? [S/n]
:: Substituir glproto por extra/xorgproto? [S/n]
:: Substituir inputproto por extra/xorgproto? [S/n]
:: Substituir kbproto por extra/xorgproto? [S/n]
:: Substituir presentproto por extra/xorgproto? [S/n]
:: Substituir randrproto por extra/xorgproto? [S/n]
:: Substituir recordproto por extra/xorgproto? [S/n]
:: Substituir renderproto por extra/xorgproto? [S/n]
:: Substituir resourceproto por extra/xorgproto? [S/n]
:: Substituir scrnsaverproto por extra/xorgproto? [S/n]
:: Substituir videoproto por extra/xorgproto? [S/n]
:: Substituir xextproto por extra/xorgproto? [S/n]
:: Substituir xf86dgaproto por extra/xorgproto? [S/n]
:: Substituir xf86driproto por extra/xorgproto? [S/n]
:: Substituir xf86vidmodeproto por extra/xorgproto? [S/n]
:: Substituir xineramaproto por extra/xorgproto? [S/n]
:: Substituir xproto por extra/xorgproto? [S/n]
resolvendo dependências...
procurando por pacotes conflitantes...
erro: falha ao preparar a transação (não foi possível satisfazer as dependências)
:: libxfont: removendo fontsproto dependências 'fontsproto>=2.1.3'
[vbarros@vbarros ~]$


  


2. Re: Erro ao atualizar o Arch com interface gráfica XFCE, ontem e hoje

Matheus
pylm

(usa Gentoo)

Enviado em 14/02/2018 - 17:22h

Tá usando repositório testing ou a muito tempo sem atualizar? Não é normal esse número de substituições, mas vamos ao que interessa, tenta primeiro atualizar os repositórios e se não se funcionar, tenta remover o fontsproto com o parâmetro -Rdd no pacman e torce pelo melhor.


3. Re: Erro ao atualizar o Arch com interface gráfica XFCE, ontem e hoje (RESOLVIDO)

Guilherme Machado
Ma-chan

(usa Arch Linux)

Enviado em 15/02/2018 - 04:39h

Eu recebi o mesmo. Simplesmente dei "s" em tudo e depois foi normal, sem erro nenhum. Isso faz uns dias já, não lembro quando. Mas eu to sempre mudando de interface então eu instalei o Plasma, depois formatei e reinstalei o Arch e voltei a usar o MATE e estou com o MATE até o momento. E enfim, aceite tudo aí que deve ir de boas. Mas em caso de insegurança, faça um backup geral antes de tudo. =]

#Arch Linux + 4.4.0-4-ARCH + MATE 1.20



4. Re: Erro ao atualizar o Arch com interface gráfica XFCE, ontem e hoje (RESOLVIDO)

Vicente de F. Barros
vbarros

(usa Linux Mint)

Enviado em 15/02/2018 - 08:11h

Caro pylm, há alguns meses eu não atualizava o Arch. Resolvi o problema assim:
Primeiro rodei o comando abaixo e aceitei remover as opções sugeridas:
[vbarros@vbarros ~]$ sudo pacman -Sc
Pacotes a serem mantidos:
Todos os pacotes instalados localmente

Diretório de cache: /var/cache/pacman/pkg/
:: Deseja remover todos os outros pacotes do cache? [S/n]
removendo pacotes antigos do cache...

Diretório da base de dados: /var/lib/pacman/
:: Deseja remover repositórios não utilizados? [S/n]
removendo repositórios de sincronização não utilizados...
[vbarros@vbarros ~]$
Em seguida rodei o comando que você sugeriu:
$ sudo pacman -Rdd fontsproto
Finalmente mandei atualizar:
$ sudo pacman -Syu
Muita coisa foi removida e 287 pacotes foram atualizados. Vou observar como o sistema vai se comportar daqui para frente. Obrigado.





5. Re: Erro ao atualizar o Arch com interface gráfica XFCE, ontem e hoje (RESOLVIDO)

João
Mastruz

(usa Manjaro Linux)

Enviado em 15/02/2018 - 10:16h

Tenta isso:

sudo pacman -Rs fontsproto
sudo pacman -Syu
sudo pacman -S fontsproto


6. Re: Erro ao atualizar o Arch com interface gráfica XFCE, ontem e hoje (RESOLVIDO)

Luiz Cantarino
Cantarino

(usa Manjaro Linux)

Enviado em 15/02/2018 - 16:18h

Eu acho que o correto seria:
Dar 's' para tudo, e...
# pacman -R libxfont

Já que parece que esse pacote não existe mais... Atualmente é o 'libxfont2'.
Do jeito que fez, não conseguirá usar o downgrade por um tempo.







Patrocínio

Site hospedado pelo provedor HostGator.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Viva o Android

Tópicos

Top 10 do mês

Scripts